package com.zcloud.util;

import com.zcloud.entity.PageData;
import org.springframework.stereotype.Component;

import java.util.Date;

/**
 * @author zhangyue
 * @date 2023/2/2/002 10:09
 */
@Component
public class InitPageDataUtil {

    /**
     * 初始化新增对象基础字段
     *
     * @param pd
     * @return
     */
    public void initSave(PageData pd) {
        pd.put("CREATOR", Jurisdiction.getUSER_ID());    //添加人
        pd.put("CREATTIME", DateUtil.date2Str(new Date()));    //添加时间
        pd.put("OPERATOR", Jurisdiction.getUSER_ID());    //修改人
        pd.put("OPERATTIME", DateUtil.date2Str(new Date()));    //修改时间
        pd.put("ISDELETE", "0");    //是否删除(0:有效 1：删除)
    }

    public void initSave(PageData pd, String PRIMARY_KEY) {
        pd.put("CREATOR", Jurisdiction.getUSER_ID());    //添加人
        pd.put("CREATTIME", DateUtil.date2Str(new Date()));    //添加时间
        pd.put("OPERATOR", Jurisdiction.getUSER_ID());    //修改人
        pd.put("OPERATTIME", DateUtil.date2Str(new Date()));    //修改时间
        pd.put("ISDELETE", "0");    //是否删除(0:有效 1：删除)
        pd.put(PRIMARY_KEY, UuidUtil.get32UUID());    //是否删除(0:有效 1：删除)
    }

    /**
     * 初始化编辑对象基础字段
     *
     * @param pd
     * @return
     */
    public void initEdit(PageData pd) {
        pd.put("OPERATOR", Jurisdiction.getUSER_ID());    //修改人
        pd.put("OPERATTIME", DateUtil.date2Str(new Date()));    //修改时间
    }

    public void initSaveApp(PageData pd, String OPERATOR) {
        pd.put("CREATOR", OPERATOR);    //添加人
        pd.put("CREATTIME", DateUtil.date2Str(new Date()));    //添加时间
        pd.put("OPERATOR", OPERATOR);    //修改人
        pd.put("OPERATTIME", DateUtil.date2Str(new Date()));    //修改时间
        pd.put("ISDELETE", "0");    //是否删除(0:有效 1：删除)
    }
    public void initSaveApp(PageData pd, String OPERATOR,String PRIMARY_KEY) {
        pd.put("CREATOR", OPERATOR);    //添加人
        pd.put("CREATTIME", DateUtil.date2Str(new Date()));    //添加时间
        pd.put("OPERATOR", OPERATOR);    //修改人
        pd.put("OPERATTIME", DateUtil.date2Str(new Date()));    //修改时间
        pd.put("ISDELETE", "0");    //是否删除(0:有效 1：删除)
        pd.put(PRIMARY_KEY, UuidUtil.get32UUID());    //是否删除(0:有效 1：删除)
    }
    public void initEditApp(PageData pd, String OPERATOR) {
        pd.put("OPERATOR", OPERATOR);    //修改人
        pd.put("OPERATTIME", DateUtil.date2Str(new Date()));    //修改时间
    }
}
